var GameConfig = cc.Class.extend({
	isRuntime:false,
	isDownload : true,
	// downloadUrl : "http://192.168.12.51/urlConfig/test/mini/",
	downloadUrl : "http://syyjcdn.geiniwan.com/urlConfig/test/mini/",
	loginUrl:"https://mlloginyjyhsy.geiniwan.com/game/login_",
	// serverUrl:"http://192.168.10.234:8000/game/api/get_server.php?agent_id={0}&user_name={1}",
	// lastServerUrl : "http://192.168.10.234:8000/game/api/last_login_server.php?user_name={0}&server_id={1}&area_id={2}&nick_name={3}&level={4}&user_id={5}&agent_id={6}",
	// noticeUrl : "http://192.168.10.234:8000/game/api/update_affiche.php?server_id={0}&utime={1}",
	serverUrl:"https://mlloginyjyhsy.geiniwan.com/game/api/get_server.php?agent_id={0}&user_name={1}",
	lastServerUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/last_login_server.php?user_name={0}&server_id={1}&area_id={2}&nick_name={3}&level={4}&user_id={5}&agent_id={6}",
	noticeUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/update_affiche.php?server_id={0}&utime={1}",
	verUrl:"https://mlloginyjyhsy.geiniwan.com/urlConfig/",
	//verUrl:"http://192.168.12.51/urlConfig/",
	payUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/pay_ml.php",
	billUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/o.php",
	uploadVoiceUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/ky_upload.php",
	downloadVoiceUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/ky_download.php?file_name={0}",
	feedbackUrl : "http://support.ijunhai.com/Kefu/api/addFeedback",
	checkServerUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/check_server.php?user_name={0}&server_id={1}&area_id={2}&agent_id={3}",
	weiChatUrl : "https://mlloginyjyhsy.geiniwan.com/game/api/wx_api.php?type={0}&game_id={1}&plat_id={2}&server_id={3}&plat_user_name={4}&ditch_name={5}&role_id={6}",
	weiChatImgUrl : "https://mlloginyjyhsy.geiniwan.com/qrcode/{0}/{1}/{2}/{3}/{4}/qr_{5}.png",
	statUrl : "https://mlgameyjyhsy.geiniwan.com/game/api/set_create_type.php?type={0}&ky_code={1}&gcid={2}&sh_ver={3}&ky_id={4}",
	reportUrl : "https://mlgameyjyhsy.geiniwan.com/api/client_error_api.php",
	//点击面板类名统计
	classNameReportUrl:"https://s29990yjyhsy.geiniwan.com/api/shenhe_client_api.php",
	hostIp: "syyjcdn.geiniwan.com",
	resVersion:null,
	sdkId:0,
	agentId : 2, //327,
	// serverList:null,
	shenHeBigVersion : null,
	bigVersion : null,
	plusList : null,
	versionContent : null,
	dvVersion : 0,
	downUrls : null,
	//闪屏图片，文件存在时才显示
	flashes : [ "flash.png", "flash1.png" ],
	// _serverInfo : null,
	ctor:function()
	{
		if(this.resVersion == null)
		{
			this.resVersion = 1125;
		}
		// this.serverList = [
		// 	{"server_id":"1","title":"219","state":"1","ip":"192.168.10.219","port":"7011","is_pay":"1"},
		// 	{"server_id":"2","title":"小新","state":"1","ip":"192.168.10.51","port":"5010","is_pay":"1"},
		// 	{"server_id":"3","title":"枫林","state":"1","ip":"192.168.10.56","port":"7011","is_pay":"1"},
		// 	{"server_id":"4","title":"开伦","state":"1","ip":"192.168.10.133","port":"7011","is_pay":"1"},
		// 	{"server_id":"5","title":"文斌","state":"1","ip":"192.168.10.183","port":"7011","is_pay":"1"},
		// 	{"server_id":"6","title":"振森","state":"1","ip":"192.168.10.238","port":"7011","is_pay":"1"},
		// 	{"server_id":"7","title":"谭锦","state":"1","ip":"192.168.10.162","port":"7011","is_pay":"1"},
		// 	{"server_id":"8","title":"程意","state":"1","ip":"192.168.10.168","port":"7011","is_pay":"1"},
		// 	{"server_id":"9","title":"策划测试服","state":"1","ip":"192.168.10.214","port":"7011","is_pay":"1"},
		// 	{"server_id":"10","title":"测试测试服","state":"1","ip":"192.168.10.218","port":"7011","is_pay":"1"}
		// ];
	},
	setSdkId:function(id)
	{
		print("#setSdkId", id);
		this.sdkId = id;
	},
	setAgentId : function(agentId) {
		print("#setAgentId", agentId);
		this.agentId = agentId;
	},
	getServerUrl : function(userId) {
		return this.serverUrl.format(this.agentId, userId || "kuyou");
	},
	isNoSdkOrTestSdk:function()
	{
		return this.sdkId == 0 || this.sdkId == 99999999 || this.sdkId == 99999995;
	},
	needUpdate:function()
	{
		//return true;
		return this.sdkId > 0;
	},
	getVerUrl : function( fileName ) {
		var url = this.verUrl;
		if(this.sdkId == 99999995) {
			url = this.verUrl_local;
		}
		return url + fileName;
	},
	needAdditionUpdate : function() {
		return false;
	},
	inSDK:function()
	{
		return this.sdkId > 0 && this.sdkId != 99999999;
	},
	isNative:function()
	{
		return cc.sys.isNative;
	},
	isAndroid:function()
	{
		return cc.sys.os === cc.sys.OS_ANDROID;
	},
	isIOS:function()
    {
        return cc.sys.os === cc.sys.OS_IOS || cc.sys.os === cc.sys.OS_OSX;
    },
	isWin:function()
	{
		return cc.sys.os === cc.sys.OS_WINDOWS || cc.sys.os === cc.sys.OS_WP8 || cc.sys.os === cc.sys.OS_WINRT;
	}
}, "GameConfig");